/*
 * Copyright 2020 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.compose.material.icons.filled

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.materialIcon
import androidx.compose.material.icons.materialPath
import androidx.compose.ui.graphics.vector.VectorAsset

val Icons.Filled.Gavel: VectorAsset
    get() {
        if (_gavel != null) {
            return _gavel!!
        }
        _gavel = materialIcon {
            materialPath {
                moveTo(5.2496f, 8.0688f)
                lineToRelative(2.83f, -2.8268f)
                lineToRelative(14.134f, 14.15f)
                lineToRelative(-2.83f, 2.8268f)
                close()
            }
            materialPath {
                moveTo(9.4857f, 3.8272f)
                lineToRelative(2.828f, -2.8288f)
                lineToRelative(5.6576f, 5.656f)
                lineToRelative(-2.828f, 2.8288f)
                close()
            }
            materialPath {
                moveTo(0.9989f, 12.3147f)
                lineToRelative(2.8284f, -2.8284f)
                lineToRelative(5.6568f, 5.6568f)
                lineToRelative(-2.8284f, 2.8284f)
                close()
            }
            materialPath {
                moveTo(1.0f, 21.0f)
                horizontalLineToRelative(12.0f)
                verticalLineToRelative(2.0f)
                horizontalLineToRelative(-12.0f)
                close()
            }
        }
        return _gavel!!
    }

private var _gavel: VectorAsset? = null
