/*
 * Copyright 2020 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.compose.material.icons.filled

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.materialIcon
import androidx.compose.material.icons.materialPath
import androidx.compose.ui.graphics.vector.VectorAsset

val Icons.Filled.SignalWifi4BarLock: VectorAsset
    get() {
        if (_signalWifi4BarLock != null) {
            return _signalWifi4BarLock!!
        }
        _signalWifi4BarLock = materialIcon {
            materialPath {
                moveTo(23.0f, 16.0f)
                verticalLineToRelative(-1.5f)
                curveToRelative(0.0f, -1.4f, -1.1f, -2.5f, -2.5f, -2.5f)
                reflectiveCurveTo(18.0f, 13.1f, 18.0f, 14.5f)
                lineTo(18.0f, 16.0f)
                curveToRelative(-0.5f, 0.0f, -1.0f, 0.5f, -1.0f, 1.0f)
                verticalLineToRelative(4.0f)
                curveToRelative(0.0f, 0.5f, 0.5f, 1.0f, 1.0f, 1.0f)
                horizontalLineToRelative(5.0f)
                curveToRelative(0.5f, 0.0f, 1.0f, -0.5f, 1.0f, -1.0f)
                verticalLineToRelative(-4.0f)
                curveToRelative(0.0f, -0.5f, -0.5f, -1.0f, -1.0f, -1.0f)
                close()
                moveTo(22.0f, 16.0f)
                horizontalLineToRelative(-3.0f)
                verticalLineToRelative(-1.5f)
                curveToRelative(0.0f, -0.8f, 0.7f, -1.5f, 1.5f, -1.5f)
                reflectiveCurveToRelative(1.5f, 0.7f, 1.5f, 1.5f)
                lineTo(22.0f, 16.0f)
                close()
                moveTo(15.5f, 14.5f)
                curveToRelative(0.0f, -2.8f, 2.2f, -5.0f, 5.0f, -5.0f)
                curveToRelative(0.4f, 0.0f, 0.7f, 0.0f, 1.0f, 0.1f)
                lineTo(23.6f, 7.0f)
                curveToRelative(-0.4f, -0.3f, -4.9f, -4.0f, -11.6f, -4.0f)
                curveTo(5.3f, 3.0f, 0.8f, 6.7f, 0.4f, 7.0f)
                lineTo(12.0f, 21.5f)
                lineToRelative(3.5f, -4.4f)
                verticalLineToRelative(-2.6f)
                close()
            }
        }
        return _signalWifi4BarLock!!
    }

private var _signalWifi4BarLock: VectorAsset? = null
