/*
 * Copyright 2020 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.compose.material.icons.outlined

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.materialIcon
import androidx.compose.material.icons.materialPath
import androidx.compose.ui.graphics.vector.VectorAsset

val Icons.Outlined.Toys: VectorAsset
    get() {
        if (_toys != null) {
            return _toys!!
        }
        _toys = materialIcon {
            materialPath {
                moveTo(12.0f, 23.0f)
                horizontalLineToRelative(-1.0f)
                verticalLineToRelative(-6.57f)
                curveTo(9.93f, 17.4f, 8.52f, 18.0f, 7.0f, 18.0f)
                curveToRelative(-3.25f, 0.0f, -6.0f, -2.75f, -6.0f, -6.0f)
                verticalLineToRelative(-1.0f)
                horizontalLineToRelative(6.57f)
                curveTo(6.6f, 9.93f, 6.0f, 8.52f, 6.0f, 7.0f)
                curveToRelative(0.0f, -3.25f, 2.75f, -6.0f, 6.0f, -6.0f)
                horizontalLineToRelative(1.0f)
                verticalLineToRelative(6.57f)
                curveTo(14.07f, 6.6f, 15.48f, 6.0f, 17.0f, 6.0f)
                curveToRelative(3.25f, 0.0f, 6.0f, 2.75f, 6.0f, 6.0f)
                verticalLineToRelative(1.0f)
                horizontalLineToRelative(-6.57f)
                curveToRelative(0.97f, 1.07f, 1.57f, 2.48f, 1.57f, 4.0f)
                curveToRelative(0.0f, 3.25f, -2.75f, 6.0f, -6.0f, 6.0f)
                close()
                moveTo(13.0f, 13.13f)
                verticalLineToRelative(7.74f)
                curveToRelative(1.7f, -0.46f, 3.0f, -2.04f, 3.0f, -3.87f)
                reflectiveCurveToRelative(-1.3f, -3.41f, -3.0f, -3.87f)
                close()
                moveTo(3.13f, 13.0f)
                curveToRelative(0.46f, 1.7f, 2.04f, 3.0f, 3.87f, 3.0f)
                reflectiveCurveToRelative(3.41f, -1.3f, 3.87f, -3.0f)
                lineTo(3.13f, 13.0f)
                close()
                moveTo(13.13f, 11.0f)
                horizontalLineToRelative(7.74f)
                curveToRelative(-0.46f, -1.7f, -2.05f, -3.0f, -3.87f, -3.0f)
                reflectiveCurveToRelative(-3.41f, 1.3f, -3.87f, 3.0f)
                close()
                moveTo(11.0f, 3.13f)
                curveTo(9.3f, 3.59f, 8.0f, 5.18f, 8.0f, 7.0f)
                reflectiveCurveToRelative(1.3f, 3.41f, 3.0f, 3.87f)
                lineTo(11.0f, 3.13f)
                close()
            }
        }
        return _toys!!
    }

private var _toys: VectorAsset? = null
