/*
 * Copyright 2020 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.compose.material.icons.rounded

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.materialIcon
import androidx.compose.material.icons.materialPath
import androidx.compose.ui.graphics.vector.VectorAsset

val Icons.Rounded.Brightness3: VectorAsset
    get() {
        if (_brightness3 != null) {
            return _brightness3!!
        }
        _brightness3 = materialIcon {
            materialPath {
                moveTo(18.87f, 10.37f)
                curveToRelative(-0.75f, -4.76f, -5.0f, -8.35f, -9.82f, -8.37f)
                curveToRelative(-0.49f, 0.0f, -0.97f, 0.03f, -1.44f, 0.1f)
                curveToRelative(-0.5f, 0.07f, -0.6f, 0.73f, -0.14f, 0.96f)
                curveTo(10.75f, 4.69f, 13.0f, 8.08f, 13.0f, 12.0f)
                reflectiveCurveToRelative(-2.25f, 7.31f, -5.53f, 8.95f)
                curveToRelative(-0.45f, 0.23f, -0.36f, 0.89f, 0.14f, 0.96f)
                curveToRelative(0.47f, 0.06f, 0.95f, 0.09f, 1.44f, 0.09f)
                curveToRelative(4.82f, -0.02f, 9.07f, -3.61f, 9.82f, -8.37f)
                curveToRelative(0.09f, -0.55f, 0.11f, -1.09f, 0.11f, -1.63f)
                curveToRelative(0.0f, -0.54f, -0.02f, -1.08f, -0.11f, -1.63f)
                close()
            }
        }
        return _brightness3!!
    }

private var _brightness3: VectorAsset? = null
