/*
 * Copyright 2020 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.compose.material.icons.rounded

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.materialIcon
import androidx.compose.material.icons.materialPath
import androidx.compose.ui.graphics.vector.VectorAsset

val Icons.Rounded.BrowserNotSupported: VectorAsset
    get() {
        if (_browserNotSupported != null) {
            return _browserNotSupported!!
        }
        _browserNotSupported = materialIcon {
            materialPath {
                moveTo(19.0f, 6.0f)
                verticalLineToRelative(10.5f)
                lineToRelative(1.95f, 1.95f)
                curveTo(20.98f, 18.3f, 21.0f, 18.15f, 21.0f, 18.0f)
                verticalLineTo(6.0f)
                curveToRelative(0.0f, -1.1f, -0.9f, -2.0f, -2.0f, -2.0f)
                horizontalLineTo(6.5f)
                lineToRelative(2.0f, 2.0f)
                horizontalLineTo(19.0f)
                close()
            }
            materialPath {
                moveTo(3.86f, 3.95f)
                curveToRelative(-0.35f, -0.35f, -0.92f, -0.35f, -1.27f, 0.0f)
                curveToRelative(-0.35f, 0.35f, -0.35f, 0.92f, 0.0f, 1.27f)
                lineTo(3.0f, 5.64f)
                lineTo(3.0f, 18.0f)
                curveToRelative(0.0f, 1.1f, 0.9f, 2.0f, 2.0f, 2.0f)
                horizontalLineToRelative(12.36f)
                lineToRelative(1.42f, 1.42f)
                curveToRelative(0.35f, 0.35f, 0.92f, 0.35f, 1.27f, 0.0f)
                curveToRelative(0.35f, -0.35f, 0.35f, -0.92f, 0.0f, -1.27f)
                lineTo(3.86f, 3.95f)
                close()
                moveTo(5.0f, 18.0f)
                verticalLineTo(7.64f)
                lineTo(15.36f, 18.0f)
                horizontalLineTo(5.0f)
                close()
            }
        }
        return _browserNotSupported!!
    }

private var _browserNotSupported: VectorAsset? = null
