/*
 * Copyright 2020 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.compose.material.icons.rounded

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.materialIcon
import androidx.compose.material.icons.materialPath
import androidx.compose.ui.graphics.vector.VectorAsset

val Icons.Rounded.LinkOff: VectorAsset
    get() {
        if (_linkOff != null) {
            return _linkOff!!
        }
        _linkOff = materialIcon {
            materialPath {
                moveTo(21.94f, 11.23f)
                curveTo(21.57f, 8.76f, 19.32f, 7.0f, 16.82f, 7.0f)
                horizontalLineToRelative(-2.87f)
                curveToRelative(-0.52f, 0.0f, -0.95f, 0.43f, -0.95f, 0.95f)
                reflectiveCurveToRelative(0.43f, 0.95f, 0.95f, 0.95f)
                horizontalLineToRelative(2.9f)
                curveToRelative(1.6f, 0.0f, 3.04f, 1.14f, 3.22f, 2.73f)
                curveToRelative(0.17f, 1.43f, -0.64f, 2.69f, -1.85f, 3.22f)
                lineToRelative(1.4f, 1.4f)
                curveToRelative(1.63f, -1.02f, 2.64f, -2.91f, 2.32f, -5.02f)
                close()
                moveTo(4.12f, 3.56f)
                curveToRelative(-0.39f, -0.39f, -1.02f, -0.39f, -1.41f, 0.0f)
                reflectiveCurveToRelative(-0.39f, 1.02f, 0.0f, 1.41f)
                lineToRelative(2.4f, 2.4f)
                curveToRelative(-1.94f, 0.8f, -3.27f, 2.77f, -3.09f, 5.04f)
                curveTo(2.23f, 15.05f, 4.59f, 17.0f, 7.23f, 17.0f)
                horizontalLineToRelative(2.82f)
                curveToRelative(0.52f, 0.0f, 0.95f, -0.43f, 0.95f, -0.95f)
                reflectiveCurveToRelative(-0.43f, -0.95f, -0.95f, -0.95f)
                horizontalLineTo(7.16f)
                curveToRelative(-1.63f, 0.0f, -3.1f, -1.19f, -3.25f, -2.82f)
                curveToRelative(-0.15f, -1.72f, 1.11f, -3.17f, 2.75f, -3.35f)
                lineToRelative(2.1f, 2.1f)
                curveToRelative(-0.43f, 0.09f, -0.76f, 0.46f, -0.76f, 0.92f)
                verticalLineToRelative(0.1f)
                curveToRelative(0.0f, 0.52f, 0.43f, 0.95f, 0.95f, 0.95f)
                horizontalLineToRelative(1.78f)
                lineTo(13.0f, 15.27f)
                verticalLineTo(17.0f)
                horizontalLineToRelative(1.73f)
                lineToRelative(3.3f, 3.3f)
                curveToRelative(0.39f, 0.39f, 1.02f, 0.39f, 1.41f, 0.0f)
                curveToRelative(0.39f, -0.39f, 0.39f, -1.02f, 0.0f, -1.41f)
                lineTo(4.12f, 3.56f)
                close()
                moveTo(16.0f, 11.95f)
                curveToRelative(0.0f, -0.52f, -0.43f, -0.95f, -0.95f, -0.95f)
                horizontalLineToRelative(-0.66f)
                lineToRelative(1.49f, 1.49f)
                curveToRelative(0.07f, -0.13f, 0.12f, -0.28f, 0.12f, -0.44f)
                verticalLineToRelative(-0.1f)
                close()
            }
        }
        return _linkOff!!
    }

private var _linkOff: VectorAsset? = null
