/*
 * Copyright 2020 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.compose.material.icons.rounded

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.materialIcon
import androidx.compose.material.icons.materialPath
import androidx.compose.ui.graphics.vector.VectorAsset

val Icons.Rounded.SentimentVeryDissatisfied: VectorAsset
    get() {
        if (_sentimentVeryDissatisfied != null) {
            return _sentimentVeryDissatisfied!!
        }
        _sentimentVeryDissatisfied = materialIcon {
            materialPath {
                moveTo(12.0f, 13.5f)
                curveToRelative(-2.03f, 0.0f, -3.8f, 1.11f, -4.75f, 2.75f)
                curveToRelative(-0.19f, 0.33f, 0.06f, 0.75f, 0.44f, 0.75f)
                horizontalLineToRelative(8.62f)
                curveToRelative(0.38f, 0.0f, 0.63f, -0.42f, 0.44f, -0.75f)
                curveToRelative(-0.95f, -1.64f, -2.72f, -2.75f, -4.75f, -2.75f)
                close()
                moveTo(8.35f, 11.47f)
                lineToRelative(0.53f, -0.53f)
                lineToRelative(0.53f, 0.53f)
                curveToRelative(0.29f, 0.29f, 0.77f, 0.29f, 1.06f, 0.0f)
                curveToRelative(0.29f, -0.29f, 0.29f, -0.77f, 0.0f, -1.06f)
                lineToRelative(-0.53f, -0.53f)
                lineToRelative(0.53f, -0.53f)
                curveToRelative(0.29f, -0.29f, 0.29f, -0.77f, 0.0f, -1.06f)
                curveToRelative(-0.29f, -0.29f, -0.77f, -0.29f, -1.06f, 0.0f)
                lineToRelative(-0.53f, 0.53f)
                lineToRelative(-0.53f, -0.53f)
                curveToRelative(-0.29f, -0.29f, -0.77f, -0.29f, -1.06f, 0.0f)
                curveToRelative(-0.29f, 0.29f, -0.29f, 0.77f, 0.0f, 1.06f)
                lineToRelative(0.53f, 0.53f)
                lineToRelative(-0.53f, 0.53f)
                curveToRelative(-0.29f, 0.29f, -0.29f, 0.77f, 0.0f, 1.06f)
                curveToRelative(0.29f, 0.29f, 0.77f, 0.29f, 1.06f, 0.0f)
                close()
                moveTo(11.99f, 2.0f)
                curveTo(6.47f, 2.0f, 2.0f, 6.47f, 2.0f, 12.0f)
                reflectiveCurveToRelative(4.47f, 10.0f, 9.99f, 10.0f)
                reflectiveCurveTo(22.0f, 17.53f, 22.0f, 12.0f)
                reflectiveCurveTo(17.52f, 2.0f, 11.99f, 2.0f)
                close()
                moveTo(12.0f, 20.0f)
                curveToRelative(-4.42f, 0.0f, -8.0f, -3.58f, -8.0f, -8.0f)
                reflectiveCurveToRelative(3.58f, -8.0f, 8.0f, -8.0f)
                reflectiveCurveToRelative(8.0f, 3.58f, 8.0f, 8.0f)
                reflectiveCurveToRelative(-3.58f, 8.0f, -8.0f, 8.0f)
                close()
                moveTo(15.65f, 8.29f)
                lineToRelative(-0.53f, 0.53f)
                lineToRelative(-0.53f, -0.53f)
                curveToRelative(-0.29f, -0.29f, -0.77f, -0.29f, -1.06f, 0.0f)
                curveToRelative(-0.29f, 0.29f, -0.29f, 0.77f, 0.0f, 1.06f)
                lineToRelative(0.53f, 0.53f)
                lineToRelative(-0.53f, 0.53f)
                curveToRelative(-0.29f, 0.29f, -0.29f, 0.77f, 0.0f, 1.06f)
                curveToRelative(0.29f, 0.29f, 0.77f, 0.29f, 1.06f, 0.0f)
                lineToRelative(0.53f, -0.53f)
                lineToRelative(0.53f, 0.53f)
                curveToRelative(0.29f, 0.29f, 0.77f, 0.29f, 1.06f, 0.0f)
                curveToRelative(0.29f, -0.29f, 0.29f, -0.77f, 0.0f, -1.06f)
                lineToRelative(-0.53f, -0.53f)
                lineToRelative(0.53f, -0.53f)
                curveToRelative(0.29f, -0.29f, 0.29f, -0.77f, 0.0f, -1.06f)
                curveToRelative(-0.29f, -0.29f, -0.77f, -0.29f, -1.06f, 0.0f)
                close()
            }
        }
        return _sentimentVeryDissatisfied!!
    }

private var _sentimentVeryDissatisfied: VectorAsset? = null
