/*
 * Copyright 2020 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.compose.material.icons.rounded

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.materialIcon
import androidx.compose.material.icons.materialPath
import androidx.compose.ui.graphics.vector.VectorAsset

val Icons.Rounded.SettingsBluetooth: VectorAsset
    get() {
        if (_settingsBluetooth != null) {
            return _settingsBluetooth!!
        }
        _settingsBluetooth = materialIcon {
            materialPath {
                moveTo(11.0f, 22.0f)
                horizontalLineToRelative(2.0f)
                verticalLineToRelative(2.0f)
                horizontalLineToRelative(-2.0f)
                close()
                moveTo(7.0f, 22.0f)
                horizontalLineToRelative(2.0f)
                verticalLineToRelative(2.0f)
                lineTo(7.0f, 24.0f)
                close()
                moveTo(15.0f, 22.0f)
                horizontalLineToRelative(2.0f)
                verticalLineToRelative(2.0f)
                horizontalLineToRelative(-2.0f)
                close()
                moveTo(13.41f, 10.0f)
                lineToRelative(3.62f, -3.62f)
                curveToRelative(0.19f, -0.19f, 0.29f, -0.44f, 0.29f, -0.71f)
                reflectiveCurveToRelative(-0.11f, -0.52f, -0.29f, -0.71f)
                lineTo(12.7f, 0.65f)
                curveToRelative(-0.29f, -0.29f, -0.72f, -0.37f, -1.09f, -0.22f)
                curveToRelative(-0.37f, 0.15f, -0.61f, 0.52f, -0.61f, 0.92f)
                verticalLineToRelative(6.23f)
                lineTo(7.14f, 3.73f)
                curveToRelative(-0.39f, -0.39f, -1.02f, -0.39f, -1.41f, 0.0f)
                reflectiveCurveToRelative(-0.39f, 1.02f, 0.0f, 1.41f)
                lineTo(10.58f, 10.0f)
                lineToRelative(-4.85f, 4.85f)
                curveToRelative(-0.39f, 0.39f, -0.39f, 1.02f, 0.0f, 1.41f)
                reflectiveCurveToRelative(1.02f, 0.39f, 1.41f, 0.0f)
                lineTo(11.0f, 12.41f)
                verticalLineToRelative(6.23f)
                curveToRelative(0.0f, 0.4f, 0.24f, 0.77f, 0.62f, 0.92f)
                curveToRelative(0.12f, 0.05f, 0.25f, 0.08f, 0.38f, 0.08f)
                curveToRelative(0.26f, 0.0f, 0.52f, -0.1f, 0.71f, -0.29f)
                lineToRelative(4.32f, -4.32f)
                curveToRelative(0.19f, -0.19f, 0.29f, -0.44f, 0.29f, -0.71f)
                reflectiveCurveToRelative(-0.11f, -0.52f, -0.29f, -0.71f)
                lineTo(13.41f, 10.0f)
                close()
                moveTo(13.0f, 3.77f)
                lineToRelative(1.91f, 1.91f)
                lineTo(13.0f, 7.58f)
                lineTo(13.0f, 3.77f)
                close()
                moveTo(13.0f, 16.23f)
                verticalLineToRelative(-3.82f)
                lineToRelative(1.91f, 1.91f)
                lineTo(13.0f, 16.23f)
                close()
            }
        }
        return _settingsBluetooth!!
    }

private var _settingsBluetooth: VectorAsset? = null
