/*
 * Copyright 2020 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.compose.material.icons.rounded

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.materialIcon
import androidx.compose.material.icons.materialPath
import androidx.compose.ui.graphics.vector.VectorAsset

val Icons.Rounded.SpeakerPhone: VectorAsset
    get() {
        if (_speakerPhone != null) {
            return _speakerPhone!!
        }
        _speakerPhone = materialIcon {
            materialPath {
                moveTo(7.76f, 7.83f)
                lineToRelative(0.02f, 0.02f)
                curveToRelative(0.35f, 0.35f, 0.89f, 0.38f, 1.3f, 0.09f)
                curveToRelative(0.83f, -0.57f, 1.84f, -0.92f, 2.92f, -0.92f)
                reflectiveCurveToRelative(2.09f, 0.35f, 2.92f, 0.93f)
                curveToRelative(0.4f, 0.29f, 0.95f, 0.26f, 1.3f, -0.09f)
                lineToRelative(0.02f, -0.02f)
                curveToRelative(0.42f, -0.42f, 0.39f, -1.14f, -0.09f, -1.49f)
                curveTo(14.98f, 5.5f, 13.55f, 5.0f, 12.0f, 5.0f)
                reflectiveCurveToRelative(-2.98f, 0.5f, -4.14f, 1.34f)
                curveToRelative(-0.49f, 0.35f, -0.52f, 1.07f, -0.1f, 1.49f)
                close()
                moveTo(12.0f, 1.0f)
                curveToRelative(-2.62f, 0.0f, -5.03f, 0.93f, -6.92f, 2.47f)
                curveToRelative(-0.46f, 0.37f, -0.51f, 1.06f, -0.08f, 1.49f)
                curveToRelative(0.36f, 0.36f, 0.93f, 0.39f, 1.32f, 0.07f)
                curveTo(7.86f, 3.76f, 9.85f, 3.0f, 12.0f, 3.0f)
                reflectiveCurveToRelative(4.14f, 0.76f, 5.69f, 2.03f)
                curveToRelative(0.39f, 0.32f, 0.96f, 0.29f, 1.32f, -0.07f)
                curveToRelative(0.42f, -0.42f, 0.38f, -1.11f, -0.08f, -1.49f)
                curveTo(17.03f, 1.93f, 14.62f, 1.0f, 12.0f, 1.0f)
                close()
                moveTo(14.86f, 10.01f)
                lineTo(9.14f, 10.0f)
                curveTo(8.51f, 10.0f, 8.0f, 10.51f, 8.0f, 11.14f)
                verticalLineToRelative(9.71f)
                curveToRelative(0.0f, 0.63f, 0.51f, 1.14f, 1.14f, 1.14f)
                horizontalLineToRelative(5.71f)
                curveToRelative(0.63f, 0.0f, 1.14f, -0.51f, 1.14f, -1.14f)
                verticalLineToRelative(-9.71f)
                curveToRelative(0.01f, -0.63f, -0.5f, -1.13f, -1.13f, -1.13f)
                close()
                moveTo(15.0f, 20.0f)
                lineTo(9.0f, 20.0f)
                verticalLineToRelative(-8.0f)
                horizontalLineToRelative(6.0f)
                verticalLineToRelative(8.0f)
                close()
            }
        }
        return _speakerPhone!!
    }

private var _speakerPhone: VectorAsset? = null
