/*
 * Copyright 2020 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.compose.material.icons.rounded

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.materialIcon
import androidx.compose.material.icons.materialPath
import androidx.compose.ui.graphics.vector.VectorAsset

val Icons.Rounded.TagFaces: VectorAsset
    get() {
        if (_tagFaces != null) {
            return _tagFaces!!
        }
        _tagFaces = materialIcon {
            materialPath {
                moveTo(12.01f, 2.0f)
                curveTo(6.49f, 2.0f, 2.02f, 6.48f, 2.02f, 12.0f)
                reflectiveCurveToRelative(4.47f, 10.0f, 9.99f, 10.0f)
                curveToRelative(5.53f, 0.0f, 10.01f, -4.48f, 10.01f, -10.0f)
                reflectiveCurveTo(17.54f, 2.0f, 12.01f, 2.0f)
                close()
                moveTo(12.02f, 20.0f)
                curveToRelative(-4.42f, 0.0f, -8.0f, -3.58f, -8.0f, -8.0f)
                reflectiveCurveToRelative(3.58f, -8.0f, 8.0f, -8.0f)
                reflectiveCurveToRelative(8.0f, 3.58f, 8.0f, 8.0f)
                reflectiveCurveToRelative(-3.58f, 8.0f, -8.0f, 8.0f)
                close()
                moveTo(15.52f, 11.0f)
                curveToRelative(0.83f, 0.0f, 1.5f, -0.67f, 1.5f, -1.5f)
                reflectiveCurveTo(16.35f, 8.0f, 15.52f, 8.0f)
                reflectiveCurveToRelative(-1.5f, 0.67f, -1.5f, 1.5f)
                reflectiveCurveToRelative(0.67f, 1.5f, 1.5f, 1.5f)
                close()
                moveTo(8.52f, 11.0f)
                curveToRelative(0.83f, 0.0f, 1.5f, -0.67f, 1.5f, -1.5f)
                reflectiveCurveTo(9.35f, 8.0f, 8.52f, 8.0f)
                reflectiveCurveToRelative(-1.5f, 0.67f, -1.5f, 1.5f)
                reflectiveCurveToRelative(0.67f, 1.5f, 1.5f, 1.5f)
                close()
                moveTo(12.02f, 17.5f)
                curveToRelative(2.03f, 0.0f, 3.8f, -1.11f, 4.75f, -2.75f)
                curveToRelative(0.19f, -0.33f, -0.05f, -0.75f, -0.44f, -0.75f)
                lineTo(7.71f, 14.0f)
                curveToRelative(-0.38f, 0.0f, -0.63f, 0.42f, -0.44f, 0.75f)
                curveToRelative(0.95f, 1.64f, 2.72f, 2.75f, 4.75f, 2.75f)
                close()
            }
        }
        return _tagFaces!!
    }

private var _tagFaces: VectorAsset? = null
