/*
 * Copyright 2020 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.compose.material.icons.sharp

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.materialIcon
import androidx.compose.material.icons.materialPath
import androidx.compose.ui.graphics.vector.VectorAsset

val Icons.Sharp.Elevator: VectorAsset
    get() {
        if (_elevator != null) {
            return _elevator!!
        }
        _elevator = materialIcon {
            materialPath {
                moveTo(21.0f, 3.0f)
                horizontalLineTo(3.0f)
                verticalLineToRelative(18.0f)
                horizontalLineToRelative(18.0f)
                verticalLineTo(3.0f)
                close()
                moveTo(8.5f, 6.0f)
                curveToRelative(0.69f, 0.0f, 1.25f, 0.56f, 1.25f, 1.25f)
                curveToRelative(0.0f, 0.69f, -0.56f, 1.25f, -1.25f, 1.25f)
                reflectiveCurveTo(7.25f, 7.94f, 7.25f, 7.25f)
                curveTo(7.25f, 6.56f, 7.81f, 6.0f, 8.5f, 6.0f)
                close()
                moveTo(11.0f, 14.0f)
                horizontalLineToRelative(-1.0f)
                verticalLineToRelative(4.0f)
                horizontalLineTo(7.0f)
                verticalLineToRelative(-4.0f)
                horizontalLineTo(6.0f)
                verticalLineTo(9.5f)
                horizontalLineToRelative(5.0f)
                verticalLineTo(14.0f)
                close()
                moveTo(15.5f, 17.0f)
                lineTo(13.0f, 13.0f)
                horizontalLineToRelative(5.0f)
                lineTo(15.5f, 17.0f)
                close()
                moveTo(13.0f, 11.0f)
                lineToRelative(2.5f, -4.0f)
                lineToRelative(2.5f, 4.0f)
                horizontalLineTo(13.0f)
                close()
            }
        }
        return _elevator!!
    }

private var _elevator: VectorAsset? = null
