/*
 * Copyright 2020 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.compose.material.icons.sharp

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.materialIcon
import androidx.compose.material.icons.materialPath
import androidx.compose.ui.graphics.vector.VectorAsset

val Icons.Sharp.Satellite: VectorAsset
    get() {
        if (_satellite != null) {
            return _satellite!!
        }
        _satellite = materialIcon {
            materialPath {
                moveTo(21.0f, 3.0f)
                lineTo(3.0f, 3.0f)
                verticalLineToRelative(18.0f)
                horizontalLineToRelative(18.0f)
                lineTo(21.0f, 3.0f)
                close()
                moveTo(5.0f, 4.99f)
                horizontalLineToRelative(3.0f)
                curveTo(8.0f, 6.65f, 6.66f, 8.0f, 5.0f, 8.0f)
                lineTo(5.0f, 4.99f)
                close()
                moveTo(5.0f, 12.0f)
                verticalLineToRelative(-2.0f)
                curveToRelative(2.76f, 0.0f, 5.0f, -2.25f, 5.0f, -5.01f)
                horizontalLineToRelative(2.0f)
                curveTo(12.0f, 8.86f, 8.87f, 12.0f, 5.0f, 12.0f)
                close()
                moveTo(5.0f, 18.0f)
                lineToRelative(3.5f, -4.5f)
                lineToRelative(2.5f, 3.01f)
                lineTo(14.5f, 12.0f)
                lineToRelative(4.5f, 6.0f)
                lineTo(5.0f, 18.0f)
                close()
            }
        }
        return _satellite!!
    }

private var _satellite: VectorAsset? = null
