/*
 * Copyright 2020 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.compose.material.icons.sharp

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.materialIcon
import androidx.compose.material.icons.materialPath
import androidx.compose.ui.graphics.vector.VectorAsset

val Icons.Sharp.Stairs: VectorAsset
    get() {
        if (_stairs != null) {
            return _stairs!!
        }
        _stairs = materialIcon {
            materialPath {
                moveTo(3.0f, 3.0f)
                verticalLineToRelative(18.0f)
                horizontalLineToRelative(18.0f)
                verticalLineTo(3.0f)
                horizontalLineTo(3.0f)
                close()
                moveTo(18.0f, 8.0f)
                horizontalLineToRelative(-2.42f)
                verticalLineToRelative(3.33f)
                horizontalLineTo(13.0f)
                verticalLineToRelative(3.33f)
                horizontalLineToRelative(-2.58f)
                verticalLineTo(18.0f)
                horizontalLineTo(6.0f)
                verticalLineToRelative(-2.0f)
                horizontalLineToRelative(2.42f)
                verticalLineToRelative(-3.33f)
                horizontalLineTo(11.0f)
                verticalLineTo(9.33f)
                horizontalLineToRelative(2.58f)
                verticalLineTo(6.0f)
                horizontalLineTo(18.0f)
                verticalLineTo(8.0f)
                close()
            }
        }
        return _stairs!!
    }

private var _stairs: VectorAsset? = null
