/*
 * Copyright 2020 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.compose.material.icons.twotone

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.materialIcon
import androidx.compose.material.icons.materialPath
import androidx.compose.ui.graphics.vector.VectorAsset

val Icons.TwoTone.Toys: VectorAsset
    get() {
        if (_toys != null) {
            return _toys!!
        }
        _toys = materialIcon {
            materialPath(fillAlpha = 0.3f, strokeAlpha = 0.3f) {
                moveTo(7.0f, 16.0f)
                curveToRelative(1.82f, 0.0f, 3.41f, -1.3f, 3.87f, -3.0f)
                lineTo(3.13f, 13.0f)
                curveToRelative(0.46f, 1.7f, 2.05f, 3.0f, 3.87f, 3.0f)
                close()
                moveTo(8.0f, 7.0f)
                curveToRelative(0.0f, 1.82f, 1.3f, 3.41f, 3.0f, 3.87f)
                lineTo(11.0f, 3.13f)
                curveTo(9.3f, 3.59f, 8.0f, 5.18f, 8.0f, 7.0f)
                close()
                moveTo(17.0f, 8.0f)
                curveToRelative(-1.82f, 0.0f, -3.41f, 1.3f, -3.87f, 3.0f)
                horizontalLineToRelative(7.74f)
                curveToRelative(-0.46f, -1.7f, -2.05f, -3.0f, -3.87f, -3.0f)
                close()
                moveTo(13.0f, 13.13f)
                verticalLineToRelative(7.74f)
                curveToRelative(1.7f, -0.46f, 3.0f, -2.04f, 3.0f, -3.87f)
                reflectiveCurveToRelative(-1.3f, -3.41f, -3.0f, -3.87f)
                close()
            }
            materialPath {
                moveTo(23.0f, 12.0f)
                curveToRelative(0.0f, -3.25f, -2.75f, -6.0f, -6.0f, -6.0f)
                curveToRelative(-1.52f, 0.0f, -2.93f, 0.6f, -4.0f, 1.57f)
                lineTo(13.0f, 1.0f)
                horizontalLineToRelative(-1.0f)
                curveTo(8.75f, 1.0f, 6.0f, 3.75f, 6.0f, 7.0f)
                curveToRelative(0.0f, 1.52f, 0.6f, 2.93f, 1.57f, 4.0f)
                lineTo(1.0f, 11.0f)
                verticalLineToRelative(1.0f)
                curveToRelative(0.0f, 3.25f, 2.75f, 6.0f, 6.0f, 6.0f)
                curveToRelative(1.52f, 0.0f, 2.93f, -0.6f, 4.0f, -1.57f)
                lineTo(11.0f, 23.0f)
                horizontalLineToRelative(1.0f)
                curveToRelative(3.25f, 0.0f, 6.0f, -2.75f, 6.0f, -6.0f)
                curveToRelative(0.0f, -1.52f, -0.6f, -2.93f, -1.57f, -4.0f)
                lineTo(23.0f, 13.0f)
                verticalLineToRelative(-1.0f)
                close()
                moveTo(7.0f, 16.0f)
                curveToRelative(-1.82f, 0.0f, -3.41f, -1.3f, -3.87f, -3.0f)
                horizontalLineToRelative(7.74f)
                curveToRelative(-0.46f, 1.7f, -2.05f, 3.0f, -3.87f, 3.0f)
                close()
                moveTo(11.0f, 10.87f)
                curveTo(9.3f, 10.41f, 8.0f, 8.82f, 8.0f, 7.0f)
                reflectiveCurveToRelative(1.3f, -3.41f, 3.0f, -3.87f)
                verticalLineToRelative(7.74f)
                close()
                moveTo(13.0f, 20.87f)
                verticalLineToRelative(-7.74f)
                curveToRelative(1.7f, 0.46f, 3.0f, 2.04f, 3.0f, 3.87f)
                reflectiveCurveToRelative(-1.3f, 3.41f, -3.0f, 3.87f)
                close()
                moveTo(13.13f, 11.0f)
                curveToRelative(0.46f, -1.7f, 2.04f, -3.0f, 3.87f, -3.0f)
                reflectiveCurveToRelative(3.41f, 1.3f, 3.87f, 3.0f)
                horizontalLineToRelative(-7.74f)
                close()
            }
        }
        return _toys!!
    }

private var _toys: VectorAsset? = null
